Private Agents
Revoke private agent
Invalidate access and refresh credentials and remove provider routing registrations. Requires Private Agent delete permission plus the Private Agents and AI SRE features. Retains the agent and invocation history. Repeated revocation is safe. An executing customer-side operation is not guaranteed to stop immediately. Use a new enrollment token to re-enroll a revoked installation.
POST
/
v1
/
private_agents
/
{id}
/
revoke
Revoke private agent
curl --request POST \
--url https://api.rootly.com/v1/private_agents/{id}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/private_agents/{id}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/private_agents/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "private_agents",
"attributes": {
"name": "<string>",
"description": "<string>",
"enabled": true,
"status": "active",
"online": true,
"deployment_mode": "combined",
"agent_version": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"schema_digest": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"providers": [
{
"id": "<string>",
"type": "<string>",
"version": "<string>",
"health": {
"status": "<string>",
"observed_at": "<string>",
"message": "<string>"
},
"policy": {
"digest": "<string>",
"cluster_scoped": true,
"pod_logs": true,
"maximum_concurrency": 2,
"maximum_attribute_values": 2,
"maximum_documents": 2,
"maximum_entries": 2,
"maximum_exemplars": 2,
"maximum_indices": 2,
"maximum_label_values": 2,
"maximum_nodes": 2,
"maximum_pattern_points": 2,
"maximum_points_per_series": 2,
"maximum_profile_types": 2,
"maximum_query_bytes": 2,
"maximum_request_bytes": 2,
"maximum_response_bytes": 2,
"maximum_range_seconds": 2,
"maximum_rows": 2,
"maximum_result_bytes": 2,
"maximum_items": 2,
"maximum_messages": 2,
"maximum_message_bytes": 2,
"maximum_scan_records": 2,
"maximum_scan_bytes": 2,
"maximum_series": 2,
"maximum_shards": 2,
"maximum_slowlog_entries": 2,
"maximum_spans_per_span_set": 2,
"maximum_stale_values": 2,
"maximum_timeout_seconds": 2,
"maximum_traces": 2,
"stuck_transaction_seconds": 2,
"namespaces": [
"<string>"
],
"allowed_indices": [
"<string>"
],
"timestamp_field": "<string>",
"database": "<string>",
"allowed_schemas": [
"<string>"
],
"allowed_methods": [
"<string>"
],
"allowed_path_prefixes": [
"<string>"
],
"allowed_request_headers": [
"<string>"
],
"exposed_response_headers": [
"<string>"
],
"allowed_topics": [
"<string>"
],
"denied_topics": [
"<string>"
],
"include_internal_topics": true,
"allow_message_reads": true,
"include_message_values": true
},
"capabilities": [
{
"name": "<string>",
"version": "<string>",
"description": "<string>",
"sensitivity": "<string>"
}
]
}
]
}
}
}Was this page helpful?
⌘I
Revoke private agent
